Subject: RE: [Sipping] SIP Gateway Controller

From: Jay Batson <[email-masked]>
Date: Tue, 08 Oct 2002 10:38:55 -0400

Fascinating interchange.  Seems unlikely that there'd be a real 
"resolution" to this question.

I'm not technical enough to add any technical insight here.  My only value 
will be to toss a macro-level assessment into the fray....

In the recent history of technology, I can't name a widely used product or 
service that involves *end-user interaction* where functional *control* 
over the end user interface is driven entirely by the product/service 
providers end of the exchange.  Even the web -- where server applications 
run significant programs to create big value delivered to a "controllable" 
browser -- has shown that client-side innovation continues to predominate 
over network-based capabilities.  Look at your desktop-like 
functions.  There are lots of Web-based contact/calendar/email management 
systems.  But Outlook, Eudora, Netscape email still 
predominate.  Similarly, most (not *all*) companies still own/operate their 
own SMTP/POP servers instead of using a provider to do so.  Napster / KaZaa 
didn't come from UUNET / AT&T.

Get out of the web area -- there's also the statistics about PBXs vs. 
Centrex.  Centrex represents about 15% of the market for how companies use 
voice.  Though historically there were "other" types of factors that may 
have influenced its lack of popularity, in recent years many of those 
"other" factors (e.g. length of contract, in/ability to deliver service, 
etc.) have disappeared, and the sales rate hasn't changed.

What underlies this?  The answer is that the edge is more flexible than the 
core.  Stuff can change there without having to worry about millions of 
"things."  Experiments can happen.  The Killer App, or the Purple Minutes 
will arise there.  It's also about control -- people feel more comfortable 
buying what they can control than giving up control to a provider.

This is what makes SIP such an interesting protocol -- it frees the edge -- 
and the "edge" can be either the server or the user agent.

Why do I take the time to write all this, when it's clearly a religious, 
and undefensible position, and supplies no valuable technical direction or 
answer to Satya's question?  Because as an appropriately devoted member of 
the congregation, I share the calling (gag -- I've taken the religious 
metaphor too far...) I feel compelled to help defend the faith, and work on 
helping the wayward see the ways of truth and light.  ;-)

Cheers
-jb

At 12:43 PM 9/6/2002, Yadavalli, Satyamurthy wrote:
>I was under the impression (before this discussion) that it is evolving to
>support a centralized framework as well so that a hybrid of peer-peer and
>centralised framworks could offset the disadvantages of both....but now I
>don't believe so.
>
>-Satya
>
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]]
> > Sent: Friday, September 06, 2002 7:29 AM
> > To: Adam Roach
> > Cc: [email-masked]'; Adam Roach; [email-masked];
> > [email-masked]; [email-masked]
> > Subject: RE: [Sipping] SIP Gateway Controller
> >
> >
> >
> >
> > Would it to be too bold to say that SIP is evolving away from the pure
> > peer-to-peer model and towards a distributed component model
> > which contains
> > many attributes of a centralised framework.  The pure
> > peer-to-peer model
> > has issues in regard to performance and management that makes such an
> > evolution essential.
> >
> > Tom Gray
> >
> >
> >
> >
> > Adam Roach <[email-masked]> on 09/05/2002 01:05:33 PM
> >
> > To:   "[email-masked]'" <[email-masked]>, Adam Roach
> >       <[email-masked]>, [email-masked],
> > [email-masked]
> > cc:   [email-masked]
> > Subject:  RE: [Sipping] SIP Gateway Controller
> >
> >
> > > SIP is inherently peer-to-peer. Trying to force a centralized
> > > model of control on it can only lead to spectactular failure.
> > >
> > > [MAP] No one is trying to "force" anything. We're only asking
> > > that it be
> > > "allowed".
> >
> > After two such responses, I realize that there might be some
> > confusion. The intended meaning when I said "force" is along
> > the lines of "hack" or "jury-rig."
> >
> > /a
> >
> >
> >
> >
>_______________________________________________
>Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
>This list is for NEW development of the application of SIP
>Use [email-masked] for questions on current sip
>Use [email-masked] for new developments of core SIP

Jay Batson
CEO, Pingtel Corp.
mailto:[email-masked]
sip:[email-masked]
+1-781-938-5306 (phone)
+1-781-938-9650 (fax)

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP